### Method

# Fwupd Codec to_json_string

since: 2.0.0

#### Declaration [src]

    gchar*
    fwupd_codec_to_json_string (
      FwupdCodec* self,
      FwupdCodecFlags flags,
      GError** error
    )

#### Description [src]

Converts an object that implements `FwupdCodec` to a JSON string.

Available since: 2.0.0

#### Parameters

`flags`

  Type: `FwupdCodecFlags`

  A `FwupdCodecFlags`, e.g. `FWUPD_CODEC_FLAG_TRUSTED`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A string.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.